space_pair_type

## Public Types

typedef disarray< size_t >::size_type | size_type

## Public Member Functions

| space_pair_type ()
| space_pair_type (bool blk, size_type dis_iub)
bool | is_blocked () const
size_type | dis_iub () const
void | set_dis_iub (size_type dis_iub)
void | set_blocked (bool blk)
template<class Archive >
void | serialize (Archive &ar, const unsigned int version)

## Protected Attributes

bool | _blk
size_type | _dis_iub

## Detailed Description

Definition at line 121 of file space.h.

## Member Typedef Documentation

## size_type

typedef disarray<size_t>::size_type size_type

Definition at line 122 of file space.h.

## Constructor & Destructor Documentation

## space_pair_type() [1/2]

space_pair_type | ( |  | ) |

Definition at line 123 of file space.h.

## space_pair_type() [2/2]

space_pair_type | ( | bool | blk,
|  | size_type | dis_iub
| ) |  |

Definition at line 124 of file space.h.

## Member Function Documentation

## is_blocked()

bool is_blocked | ( |  | ) | const

Definition at line 125 of file space.h.

## dis_iub()

size_type dis_iub | ( |  | ) | const

Definition at line 126 of file space.h.

## set_dis_iub()

void set_dis_iub | ( | size_type | dis_iub | ) |

Definition at line 127 of file space.h.

## set_blocked()

void set_blocked | ( | bool | blk | ) |

Definition at line 128 of file space.h.

## serialize()

void serialize | ( | Archive & | ar,
|  | const unsigned int | version
| ) |  |

Definition at line 132 of file space.h.

## Member Data Documentation

## _blk

bool _blk

protected

Definition at line 134 of file space.h.

## _dis_iub

size_type _dis_iub

protected

Definition at line 135 of file space.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/space.h